summaryrefslogtreecommitdiff
path: root/solenv/bin/rpm-wrapper
diff options
context:
space:
mode:
authorOliver Bolte <obo@openoffice.org>2009-02-19 11:42:47 +0000
committerOliver Bolte <obo@openoffice.org>2009-02-19 11:42:47 +0000
commitf7d54f00980bc40fc9c445ba601f804fd54a30c7 (patch)
treed5b20e51511cb6b01de2049b6f9582c58ebdd917 /solenv/bin/rpm-wrapper
parent012ae745c7b48da692943f17343aec604b55cbbb (diff)
CWS-TOOLING: integrate CWS sb104
2009-01-27 13:09:06 +0100 sb r266986 : #i97992# cws rebase: merged cws/sb104/config_office/set_soenv.in with moved tags/DEV300_m40/set_soenv.in 2009-01-27 10:56:40 +0100 sb r266966 : CWS-TOOLING: rebase CWS sb104 to trunk@266944 (milestone: DEV300:m40) 2009-01-20 14:37:00 +0100 sb r266581 : #i97992# missing treatment of Solaris-only adjustvisibility as build-internal tool 2009-01-20 09:32:38 +0100 sb r266554 : CWS-TOOLING: rebase CWS sb104 to trunk@266428 (milestone: DEV300:m39) 2009-01-14 13:40:45 +0100 sb r266296 : #i97992# do not pass comment lines to shell 2009-01-14 12:50:34 +0100 sb r266290 : #i97992# avoid problems with checkdll not finding AWTLIB and its dependents 2009-01-14 12:49:20 +0100 sb r266289 : #i97992# on Linux and Solaris, regxpcom apparently needs to be called with the libxpcom.so directory on the LD_LIBRARY_PATH 2009-01-13 09:41:37 +0100 sb r266196 : #i97992# fixed AUGMENT_LIBRARY_PATH definitions 2009-01-12 18:02:03 +0100 sb r266177 : #i97992# get rid of LD_LIBRARY_PATH in build environment
Diffstat (limited to 'solenv/bin/rpm-wrapper')
-rwxr-xr-xsolenv/bin/rpm-wrapper39
1 files changed, 39 insertions, 0 deletions
diff --git a/solenv/bin/rpm-wrapper b/solenv/bin/rpm-wrapper
new file mode 100755
index 000000000000..7b0f8767ad5b
--- /dev/null
+++ b/solenv/bin/rpm-wrapper
@@ -0,0 +1,39 @@
+#!/bin/bash
+#*************************************************************************
+# DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
+#
+# Copyright 2008 by Sun Microsystems, Inc.
+#
+# OpenOffice.org - a multi-platform office productivity suite
+#
+# $RCSfile: makefile,v $
+#
+# $Revision: 1.4 $
+#
+# This file is part of OpenOffice.org.
+#
+# OpenOffice.org is free software: you can redistribute it and/or modify
+# it under the terms of the GNU Lesser General Public License version 3
+# only, as published by the Free Software Foundation.
+#
+# OpenOffice.org is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU Lesser General Public License version 3 for more details
+# (a copy is included in the LICENSE file that accompanied this code).
+#
+# You should have received a copy of the GNU Lesser General Public License
+# version 3 along with OpenOffice.org. If not, see
+# <http://www.openoffice.org/license.html>
+# for a copy of the LGPLv3 License.
+#***********************************************************************/
+
+# At least on v20z-so3, when /so/env/bt_linux_libc2.11/DEV300/bin/rpm is called
+# and internally looks for a ld-linux.so.2, it picks up
+# /lib/tls/i686/cmov/ld-linux.so.2 and SIGSEGVs. This is prevented by
+# adding /so/env/bt_linux_libc2.11/DEV300/lib to the LD_LIBRARY_PATH, thus
+# picking up the ld-linux.so.2 from there:
+
+set -e
+LD_LIBRARY_PATH=${LD_LIBRARY_PATH+${LD_LIBRARY_PATH}:}${COMPATH?}/lib \
+ ${BUILD_TOOLS?}/rpm "$@"